Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-37647

Validation hook sets FCV to 3.4 no matter what version it currently is

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.4.19
    • Component/s: Testing Infrastructure
    • Labels:
      None
    • Backwards Compatibility:
      Fully Compatible
    • Operating System:
      ALL
    • Sprint:
      Storage NYC 2018-10-22, Storage NYC 2018-11-05
    • Linked BF Score:
      11

      Description

      In 3.4, the sharded cluster could be in a state where the config servers are in FCV 3.4 but the shard servers are in FCV 3.2. The current validation hook would not upgrade the cluster to 3.4 in this case. However, it is in an intermediate upgrade/downgrade path.

        Attachments

          Activity

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: